<?php

/*


*/

if(!defined('WB_URL')) {
	header('Location: ../index.php');
	exit(0);
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<!--
	Template by michael brinsteiner
	www.escpro.de
-->
<head>
<title><?php page_title(); ?> | escpro design</title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php if(defined('DEFAULT_CHARSET')) { echo DEFAULT_CHARSET; } else { echo 'utf-8'; }?>" />
<meta name="description" content="<?php page_description(); ?>" />
<meta name="keywords" content="<?php page_keywords(); ?>" />
<link href="<?php echo TEMPLATE_DIR; ?>/screen.css" rel="stylesheet" type="text/css" media="screen" />
<link href="<?php echo TEMPLATE_DIR; ?>/print.css" rel="stylesheet" type="text/css" media="print" />

<?php
	if(function_exists('register_frontend_modfiles')) {
		register_frontend_modfiles('css');
		register_frontend_modfiles('js');
	}
?>
</head>
<body>
<a id="top"></a>
<div class="stealth">
	<a href="#beginContent">blind content</a>
</div>

<div id="main">
	<div id="banner">
		<?php if(SHOW_SEARCH) { ?>
                 	<div id="search_box">
			<fieldset>
			<legend><?php echo $TEXT['WEBSITE']; ?>&nbsp;<?php echo $TEXT['SEARCH']; ?></legend>
			<b><?php echo $TEXT['SEARCH']; ?></b><br>
			<form name="search" action="<?php echo WB_URL.'/search/index'.PAGE_EXTENSION; ?>" method="get">
			<input type="text" value="<?php echo $TEXT['SEARCH']; ?>..." name="string" class="search_string" id="search_string" />
			<input type="submit" name="submit" value="<?php echo $TEXT['SEARCH']; ?>" class="search_submit" id="search_submit" />
			</form>
			</fieldset>

		</div> <?php } ?><!-- end searchbox -->
		<h1><a href="<?php echo WB_URL; ?>/"><?php echo WEBSITE_TITLE; ?></a></h1><br />
		<h2><?php page_header(); ?></h2>
	</div><!-- end banner -->
	<div id="navContainer">
		<div id="nav" class="clearfix">
			<?php show_menu2(0, SM2_ROOT, SM2_ALL, SM2_ALL, false, "\n</li>", false, false, false, '<ul id="header_menu" class="menu">'); ?><br />
		</div><!-- end nav -->
	</div><!-- end navContainer -->
	<div id="contentContainer">
		<?php if(SHOW_MENU) {	?>
			<div id="sideColumn">
				<div id="login-box">
					<!-- Admin login Box -->
					<?php
					if(FRONTEND_LOGIN AND !$admin->is_authenticated()) { //If begin
					?>
					<form name="login" action="<?php echo LOGIN_URL; ?>" method="post">
					<fieldset class="topbox">
						<legend><?php echo $TEXT['LOGIN']; ?></legend><br>
						<div class="topboxbody">
							<label for="username"><?php echo $TEXT['USERNAME']; ?>:</label><br>
							<input type="text" name="username" id="username" class="text" /><br>
							<label for="password"><?php echo $TEXT['PASSWORD']; ?>:</label><br>
							<input type="password" name="password" id="password" class="text" /> <br>
							<input type="submit" name="submit" value="<?php echo $TEXT['LOGIN']; ?>" class="submit" /><br />
							<a href="<?php echo FORGOT_URL; ?>"><?php echo $TEXT['FORGOT_DETAILS']; ?></a><br />
							<?php if(is_numeric(FRONTEND_SIGNUP)) { ?>
								<a href="<?php echo SIGNUP_URL; ?>"><?php echo $TEXT['SIGNUP']; ?></a>
							<?php } ?>
						</div>
					</fieldset>
					</form>
					<?php
					} elseif(FRONTEND_LOGIN AND $admin->is_authenticated()) {//elseIf begin
					?>
					<form name="logout" action="<?php echo LOGOUT_URL; ?>" method="post">
					<fieldset class="topbox">
						<legend><?php echo $TEXT['LOGGED_IN']; ?>:</legend>
						<div class="topboxbody">
							<?php echo $TEXT['WELCOME_BACK']; ?><br /> <span class="username"><?php echo $admin->get_display_name(); ?></span><br />
							<strong><?php echo $TEXT['OPTION']; ?></strong><br />
							<a href="<?php echo LOGOUT_URL; ?>"><?php echo $MENU['LOGOUT']; ?></a><br />
							<a href="<?php echo PREFERENCES_URL; ?>"><?php echo $MENU['PREFERENCES']; ?></a>
						</div>
					</fieldset>
					</form>
					<?php
					}
					?>
					<!-- end admin box -->
				</div><!-- end login -->
			</div><!-- end sideColumn -->
		<?php } ?>
		<div id="content">
			<h2><?php echo PAGE_TITLE; ?></h2>
			<?php page_content(); ?>
		</div><!-- end content -->
	</div><!-- end contentContainer -->
	<div id="footer" class="clearfix">
		<div id="baker_footer">
			<?php page_footer(); ?>
		</div>
                 <!-- end baker_footer -->
	</div><!-- end footer -->
</div><!-- end main -->

<div id="extras">
	<div id="powered_by">
         <!-- Footerlink must be intact -->
         	<p><a href="http://www.escpro.de" target="_blank">Websitebaker</a> design by <a href="http://www.escpro.de" target="_blank">escpro design</a></p>
	</div><!-- end poweredby -->
</div><!-- end extras -->

</body>
</html>